<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMatrixSettingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: matrix_settings
         */
        Schema::create('matrix_settings', function ($table) {
            $table->increments('id');
            $table->integer('matrix_id')->nullable();
            $table->float('sponser_bonus')->nullable();
            $table->tinyInteger('sponser_duration')->nullable();
            $table->text('level_bonus')->nullable();
            $table->tinyInteger('level_duration')->nullable();
            $table->float('matching_bonus')->nullable();
            $table->tinyInteger('matching_duration')->nullable();
            $table->float('position_bonus')->nullable();
            $table->tinyInteger('position_duration')->nullable();
            $table->float('matrix_bonus')->nullable();
            $table->tinyInteger('matrix_duration')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('matrix_settings');
    }
}
