<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for matrix_setting in matrix_setting package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  matrix_setting module in matrix_setting package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'MatrixSetting',
    'names'         => 'MatrixSettings',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'MatrixSettings',
        'sub'   => 'MatrixSettings',
        'list'  => 'List of matrix_settings',
        'edit'  => 'Edit matrix_setting',
        'create'    => 'Create new matrix_setting'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'matrix_id'                  => 'Matrix Plan',
        'sponser_bonus'              => 'Sponser Bonus',
        'sponser_duration'           => 'Sponser Bonus Duration',
        'level_bonus'                => 'Level Bonus',
        'level_duration'             => 'Level Bonus Duration',
        'matching_bonus'             => 'Matching Bonus',
        'matching_duration'          => 'Matching Bonus Duration',
        'position_bonus'             => 'Position Bonus',
        'position_duration'          => 'Position Bonus Duration',
        'matrix_bonus'               => 'Matrix Bonus',
        'matrix_duration'            => 'Martix Bonus Duration',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'matrix_id'                  => 'Matrix Plan',
        'sponser_bonus'              => 'Sponser Bonus',
        'sponser_duration'           => 'Sponser Bonus Duration',
        'level_bonus'                => 'Level Bonus',
        'level_duration'             => 'Level Bonus Duration',
        'matching_bonus'             => 'Matching Bonus',
        'matching_duration'          => 'Matching Bonus Duration',
        'position_bonus'             => 'Position Bonus',
        'position_duration'          => 'Position Bonus Duration',
        'matrix_bonus'               => 'Matrix Bonus',
        'matrix_duration'            => 'Martix Bonus Duration',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'matrix_id'                  => ['name' => 'Matrix Plan', 'data-column' => 1, 'checked'],
        'sponser_bonus'              => ['name' => 'Sponser Bonus', 'data-column' => 2, 'checked'],
        'sponser_duration'           => ['name' => 'Sponser Bonus Duration', 'data-column' => 3, 'checked'],
        'level_bonus'                => ['name' => 'Level Bonus', 'data-column' => 4, 'checked'],
        'level_duration'             => ['name' => 'Level Bonus Duration', 'data-column' => 5, 'checked'],
        'matching_bonus'             => ['name' => 'Matching Bonus', 'data-column' => 6, 'checked'],
        'matching_duration'          => ['name' => 'Matching Bonus Duration', 'data-column' => 7, 'checked'],
        'position_bonus'             => ['name' => 'Position Bonus', 'data-column' => 8, 'checked'],
        'position_duration'          => ['name' => 'Position Bonus Duration', 'data-column' => 9, 'checked'],
        'matrix_bonus'               => ['name' => 'Matrix Bonus', 'data-column' => 10, 'checked'],
        'matrix_duration'            => ['name' => 'Martix Bonus Duration', 'data-column' => 11, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'MatrixSettings',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
