<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class MatrixSettingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('matrix_settings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'matrix_setting.matrix_setting.view',
                'name'      => 'View MatrixSetting',
            ],
            [
                'slug'      => 'matrix_setting.matrix_setting.create',
                'name'      => 'Create MatrixSetting',
            ],
            [
                'slug'      => 'matrix_setting.matrix_setting.edit',
                'name'      => 'Update MatrixSetting',
            ],
            [
                'slug'      => 'matrix_setting.matrix_setting.delete',
                'name'      => 'Delete MatrixSetting',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/matrix_setting/matrix_setting',
                'name'        => 'MatrixSetting',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/matrix_setting/matrix_setting',
                'name'        => 'MatrixSetting',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'matrix_setting',
                'name'        => 'MatrixSetting',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'MatrixSetting',
                'module'    => 'MatrixSetting',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'matrix_setting.matrix_setting.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
