<?php

namespace Litecms\MatrixSetting\Repositories\Eloquent;

use Litecms\MatrixSetting\Interfaces\MatrixSettingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MatrixSettingRepository extends BaseRepository implements MatrixSettingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.matrix_setting.matrix_setting.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.matrix_setting.matrix_setting.model.model');
    }
}
